net.sf.jasperreports.web.util

## Class DefaultWebRequestContext

- java.lang.Object
- - net.sf.jasperreports.web.util.DefaultWebRequestContext

- All Implemented Interfaces:
    WebRequestContext

      public class DefaultWebRequestContext
      extends java.lang.Object
      implements WebRequestContext

  Version:
    $Id: DefaultWebRequestContext.java 6858 2014-01-31 14:46:02Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultWebRequestContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JasperReportsContext` | `getJasperReportsContext()`
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `java.lang.String` | `getRequestContextPath()`
    `void` | `setJasperReportsContext(JasperReportsContext jasperReportsContext)`
    `void` | `setRequest(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultWebRequestContext

          public DefaultWebRequestContext()

  - ### Method Detail

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

      Specified by:
        `getJasperReportsContext` in interface `WebRequestContext`

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

    - #### setJasperReportsContext

          public void setJasperReportsContext(JasperReportsContext jasperReportsContext)

    - #### setRequest

          public void setRequest(javax.servlet.http.HttpServletRequest request)

    - #### getRequestContextPath

          public java.lang.String getRequestContextPath()

      Specified by:
        `getRequestContextPath` in interface `WebRequestContext`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com